package cn.ey.biz.module.system.convert.wiki;

import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.admin.wiki.vo.*;
import cn.ey.biz.module.system.dal.dataobject.wiki.WikiPageContentDO;
import cn.ey.biz.module.system.dal.dataobject.wiki.WikiPageDO;
import cn.ey.biz.module.system.dal.dataobject.wiki.WikiSpaceDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface WikiSpaceConvert {

    WikiSpaceConvert INSTANCE = Mappers.getMapper(WikiSpaceConvert.class);

    WikiSpaceDO convert(WikiSpaceCreateReqVO bean);

    WikiSpaceDO convert(WikiSpaceUpdateReqVO bean);

    WikiSpaceRespVO convert(WikiSpaceDO bean);

    PageResult<WikiSpaceRespVO> convertPage(PageResult<WikiSpaceDO> page);

    List<WikiPageRespVO> convertList(List<WikiPageDO> bean);

    WikiPageRespVO convertPage(WikiPageDO bean);

    WikiPageContentRespVO convertContent(WikiPageContentDO bean);

    List<WikiPageContentRespVO> convertContentList(List<WikiPageContentDO> bean);

    List<WikiSpaceRespVO> convertSpaceList(List<WikiSpaceDO> bean);

}
